Subject: bug#23600: 25.1.50; encode-time returns wrong result

From: Paul Eggert <[email-masked]>
Date: Sat, 4 Jun 2016 15:18:43 -0700

Eli Zaretskii wrote:
> I think it would be cleaner if we copied the string before modifying
> it.

Other parts of Emacs modify the string in place and expect the modifications to 
affect the time zone setting, so in general it won't work to copy the string, 
modify the copy, and pass the copy's address to putenv.